%define date 20150727

Summary:	Library for encoding and decoding H264/AVC video streams
Name:		x264
Version:	0.0.0
Release:	13.%{date}%{?dist}
License:	GPL
Group:		System Environment/Libraries
URL:		http://www.videolan.org/developers/x264.html

Packager:	momo-i <webmaster@momo-i.org>
Vendor:		momo-i, http://www.momo-i.org/

Source:		http://downloads.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{date}-2245.tar.bz2
Patch0:		x264-20090730-glibc232.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gettext
BuildRequires:	nasm yasm
BuildRequires:  perl(Digest::MD5)

Obsoletes: x264-gtk <= %{version}-%{release}

%description
Utility and library for encoding H264/AVC video streams.

%package -n libx264-devel
Summary: Development files for the x264 library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig
Obsoletes: x264-gtk-devel <= %{version}-%{release}

%description -n libx264-devel
This package contains the files required to develop programs that will encode
H264/AVC video streams using the x264 library.

%package -n libx264-static
Summary: Development files for the x264 static library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig
Obsoletes: x264-gtk-devel <= %{version}-%{release}

%description -n libx264-static
This package contains the files required to develop programs that will encode
H264/AVC video streams using the x264 library.

%prep
%setup -q -n %{name}-snapshot-%{date}-2245
# configure hardcodes X11 lib path
%{__perl} -pi -e 's|/usr/X11R6/lib |/usr/X11R6/%{_lib} |g' configure

### Required for glibc < 2.3.2 (http://article.gmane.org/gmane.comp.video.x264.devel/1696)
%if %{?_without_glibc232:1}0
%patch0 -p0
%endif

%build
# Force PIC as applications fail to recompile against the lib on x86_64 without
./configure \
    --prefix="%{_prefix}" \
    --bindir="%{_bindir}" \
    --includedir="%{_includedir}" \
    --libdir="%{_libdir}" \
%if 0%{?rhel} <= 5 || 0%{?fedora} <= 16
	--disable-asm \
%endif
    --enable-debug \
    --enable-pic \
    --enable-shared \
	--enable-static \
    --extra-cflags="%{optflags}"

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/x264
%{_libdir}/libx264.so.*

%files -n libx264-devel
%defattr(-, root, root, 0755)
%doc doc/*.txt
%{_includedir}/x264.h
%{_includedir}/x264_config.h
%{_libdir}/pkgconfig/x264.pc
%{_libdir}/libx264.so

%files -n libx264-static
%{_libdir}/libx264.a

%changelog
* Tue Jul 28 2015 momo-i <webmaster@momo-i.org> - 0.0.0-13
- Update to 20150727

* Mon Jul 13 2015 momo-i <webmaster@momo-i.org> - 0.0.0-12
- Update to 20150712

* Fri Jul 03 2015 momo-i <webmaster@momo-i.org> - 0.0.0-11
- Update to 20150702

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 0.0.0-10
- Rebuilt for fc22

* Wed Dec 17 2014 momo-i <webmaster@momo-i.org> - 0.0.0-9
- Update to 20141216

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 0.0.0-8
- Update to 20141112

* Mon Sep 22 2014 momo-i <webmaster@momo-i.org> - 0.0.0-7
- Update to 20140921

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 0.0.0-6
- Update to 20140122

* Fri Nov 29 2013 momo-i <webmaster@momo-i.org> - 0.0.0-5
- Update to 20131128

* Tue Mar  5 2013 momo-i <webmaster@momo-i.org> 0.0.0-4
- Initial rpm release.
